Debian Bug report logs - #650994
libdv: multiarch patch

version graph

Package: src:libdv; Maintainer for src:libdv is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: tony mancill <tmancill@debian.org>

Date: Sun, 4 Dec 2011 22:27:01 UTC

Severity: normal

Tags: patch

Found in version libdv/1.0.0-3

Fixed in version libdv/1.0.0-4

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#650994; Package src:libdv. (Sun, 04 Dec 2011 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Kobras <kobras@debian.org>. (Sun, 04 Dec 2011 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libdv: multiarch patch
Date: Sun, 04 Dec 2011 14:23:33 -0800
[Message part 1 (text/plain, inline)]
Source: libdv
Version: 1.0.0-3
Severity: normal

Dear Maintainer,

I am attaching a patch to enable multiarch for libdv.  Please consider it
for inclusion in your next upload.

Thank you,
tony

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[multiarch.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Kobras <kobras@debian.org>:
Bug#650994; Package src:libdv. (Mon, 05 Dec 2011 19:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
Extra info received and forwarded to list. Copy sent to Daniel Kobras <kobras@debian.org>. (Mon, 05 Dec 2011 19:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 650994@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: 650994@bugs.debian.org, 650994-submitter@bugs.debian.org
Subject: Re: libdv: multiarch patch
Date: Mon, 5 Dec 2011 11:16:53 -0800
[Message part 1 (text/plain, inline)]
tags 650994 patch
thanks

Hi guys,

Attached is a slightly simpler version of the patch.  We can just use a glob
for the debian/*.install files instead of having to rewrite the files at
build time, since we're not using dh_install to rearrange the directories,
just for copying the files into the package.

This version of the patch has been uploaded to Ubuntu for inclusion in
the Ubuntu Precise release.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[libdv-multiarch.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Steve Langasek <steve.langasek@canonical.com> to control@bugs.debian.org. (Mon, 05 Dec 2011 19:21:05 GMT) Full text and rfc822 format available.

Message sent on to tony mancill <tmancill@debian.org>:
Bug#650994. (Mon, 05 Dec 2011 19:21:08 GMT) Full text and rfc822 format available.

Information stored :
Bug#650994; Package src:libdv. (Mon, 05 Dec 2011 19:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 05 Dec 2011 19:39:12 GMT) Full text and rfc822 format available.

Message #20 received at 650994-quiet@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: Steve Langasek <steve.langasek@canonical.com>, 650994-quiet@bugs.debian.org
Subject: Re: Bug#650994: libdv: multiarch patch
Date: Mon, 05 Dec 2011 11:36:42 -0800
On 12/05/2011 11:16 AM, Steve Langasek wrote:
> tags 650994 patch
> thanks
> 
> Hi guys,
> 
> Attached is a slightly simpler version of the patch.  We can just use a glob
> for the debian/*.install files instead of having to rewrite the files at
> build time, since we're not using dh_install to rearrange the directories,
> just for copying the files into the package.
> 
> This version of the patch has been uploaded to Ubuntu for inclusion in
> the Ubuntu Precise release.
> 
> Cheers,

Thanks Steve!
tony




Added tag(s) pending. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Wed, 08 Feb 2012 23:57:05 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Thu, 09 Feb 2012 01:36:05 GMT) Full text and rfc822 format available.

Notification sent to tony mancill <tmancill@debian.org>:
Bug acknowledged by developer. (Thu, 09 Feb 2012 01:36:05 GMT) Full text and rfc822 format available.

Message #27 received at 650994-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 650994-close@bugs.debian.org
Subject: Bug#650994: fixed in libdv 1.0.0-4
Date: Thu, 09 Feb 2012 01:32:45 +0000
Source: libdv
Source-Version: 1.0.0-4

We believe that the bug you reported is fixed in the latest version of
libdv, which is due to be installed in the Debian FTP archive:

libdv-bin_1.0.0-4_amd64.deb
  to main/libd/libdv/libdv-bin_1.0.0-4_amd64.deb
libdv4-dev_1.0.0-4_amd64.deb
  to main/libd/libdv/libdv4-dev_1.0.0-4_amd64.deb
libdv4_1.0.0-4_amd64.deb
  to main/libd/libdv/libdv4_1.0.0-4_amd64.deb
libdv_1.0.0-4.debian.tar.gz
  to main/libd/libdv/libdv_1.0.0-4.debian.tar.gz
libdv_1.0.0-4.dsc
  to main/libd/libdv/libdv_1.0.0-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650994@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated libdv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 09 Feb 2012 02:06:17 +0100
Source: libdv
Binary: libdv4 libdv4-dev libdv-bin
Architecture: source amd64
Version: 1.0.0-4
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 libdv-bin  - software library for DV format digital video (sample apps)
 libdv4     - software library for DV format digital video (runtime lib)
 libdv4-dev - software library for DV format digital video (devel files)
Closes: 466142 650994 654649
Changes: 
 libdv (1.0.0-4) unstable; urgency=low
 .
   * New maintainer. (Closes: #654649), thanks to Daniel Kobras
     for the great work.
   * Switch packaging to 3.0 (quilt) format plus DH 7.
   * Convert patches to quilt format.
   * Build with Multi-Arch support. (Closes: #650994)
   * Drop libc6-dev from -DEV's Depends field.
   * Get rid of .la files.
   * Disable the build of static libraries.
   * Remove debian/libdv-bin.links, it doesn't work.
   * Remove debian/README.source, it's now unneeded.
   * Update debian/copyright as per DEP-5.
   * YUV_420_USE_YV12 option affects the wrong encoding (Closes: #466142):
     - The build configuration option --with-pal-yuv=YV12 actually affects
       encoding of "NTSC", inconsistent with decoding. This option is not
       currently used in Debian but could affect those who rebuild it.
       Thanks to Ben Hutchings for report and patch.
   * Fix binary-control-field-duplicates-source
   * Fix small misspellings.
   * Fix hyphen-used-as-minus-sign.
   * Run wrap-and-sort -a -s.
   * Add watch file.
   * Bump Standards.
Checksums-Sha1: 
 1e2603402575c9203a666f92ab63857d494804c6 2161 libdv_1.0.0-4.dsc
 7ff5ee49dfd7e0f74c920ea3c2d3a02e42d99f7b 12725 libdv_1.0.0-4.debian.tar.gz
 1495d4901cc5f7cc06f8187c03483b9cda551fd2 82030 libdv4_1.0.0-4_amd64.deb
 586876601501559ec83813f78427cf5bb2fd9f5e 27272 libdv4-dev_1.0.0-4_amd64.deb
 c0256882993d89d3f76e5358fd1b14e6b6509832 54480 libdv-bin_1.0.0-4_amd64.deb
Checksums-Sha256: 
 ddaedfbf643508a5f39e2f789695121c97e7739c17cdd9342ad6c1dbe03b7fc1 2161 libdv_1.0.0-4.dsc
 e7aaac49eca8e480eba4c88237eca54eb8cd3f113ee3276202bd9c793bf4e48e 12725 libdv_1.0.0-4.debian.tar.gz
 0d6ecb2559cb89a181e070718b463420d645d6673373f0b55d2164bcd1e3f854 82030 libdv4_1.0.0-4_amd64.deb
 e3b03e65733312dc5106d3b246080a581c6c0aa61a8742863f349b96b72f9e5b 27272 libdv4-dev_1.0.0-4_amd64.deb
 57edf034516a36cca70fc5355108b76efb7977d408c0d1bf173f4a67af7393b9 54480 libdv-bin_1.0.0-4_amd64.deb
Files: 
 5513e7b4f6b5bf13bdb2350006d8f9fb 2161 video optional libdv_1.0.0-4.dsc
 2e70d84dfd21913af22d401f1d071429 12725 video optional libdv_1.0.0-4.debian.tar.gz
 a64e46100f6ec54360bc53d06391bb79 82030 libs optional libdv4_1.0.0-4_amd64.deb
 ecd4960eedbcc98e60b13f9e8580b10f 27272 libdevel extra libdv4-dev_1.0.0-4_amd64.deb
 2c76da3fd0475438ae7c34020fe9c4a1 54480 video extra libdv-bin_1.0.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCgAGBQJPMx7EAAoJEOikiuUxHXZatCEQAKY+xIdwLit+jx5h16VePQCA
eBv+Cj+sfuKLmYlklYhMst8EF4GpTrAflE/NduexF+7l4Oikprg22pRMrgAe64s1
AL/8bQc08Izpji3fcSkPJCdT5qiWQI5KZSBJ8iwaZEB0grIShsYuoh8hxYNvCMnD
KMSTGNB4m+DfmybFpSl0w70Bufkw1ksWn/Rhu280EjuPdXO2s5+SNSlOXHD3pc3R
Z+iyFcUn/cWR0LSSBnP2Mwvymxa5g/mc6NXcJ0dLH7X9MU43QTq6iNRpIQrLeW1G
EfdxSibMAzFd5gnOSqZmVKiw7x/nsHtVDvyE4I7+stls7JzCEt6+VhpJVs+rX6Gh
2P26dPCNLuVFtDIHcuHlVX8hIYY5/X0Ggtawh/Qu2YWTj1qt3VjHJQaoumeN81k+
yb/oGI48oGfDYhdzvu3eTmNHxXMSibXkk0nTlkNgDOkEcoyrlz8hwROSwzzhjpO0
r4w+n8FeBmWvmqkjOQkt+inNamOWMsh/7Nbr4ZxsK3Wnrz0WYy057SsEODe1xFyL
EvZqxfR8ynKT/zRzKrKz5o6hD6Zp2vB6zlhRleyiO3feNDIaZ8ZpMfW8umx3kxJ6
OBb8Wy8EFQfFlrVAN3xBPlC3H6m8VmMJJlpncqFnK07Lrnqtz6oV8ruyAb8PnusF
GxFiDE0fSDfyE7eKraQm
=pgPJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 18 Mar 2012 07:40:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:58:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.